#include "KWIQCGColor.h"

CGColorSpaceRef CGColorSpaceCreateDeviceRGB() {
  return new CGColorSpace(CGColorSpace::RGB);
}
CGColorSpaceRef CGColorSpaceCreateDeviceGray() {
  return new CGColorSpace(CGColorSpace::GRAY);
}

CGColorSpaceRef CGColorSpaceCreateDeviceCMYK() {
  return new CGColorSpace(CGColorSpace::CMYK);  
}
  
CGColorRef CGColorCreate (CGColorSpaceRef ref, float components[]) {
  return new CGColor(ref, components);
}
